Skip to main content
PUT
/
api
/
customer
/
{customerId}
/
assignee
/
{assigneeId}
updateCustomerAssignee
curl --request PUT \
  --url https://api.artemis.cynopsis.co/api/customer/{customerId}/assignee/{assigneeId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "customerId": 123,
  "main": true,
  "userId": 123
}
'
import requests

url = "https://api.artemis.cynopsis.co/api/customer/{customerId}/assignee/{assigneeId}"

payload = {
"customerId": 123,
"main": True,
"userId": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({customerId: 123, main: true, userId: 123})
};

fetch('https://api.artemis.cynopsis.co/api/customer/{customerId}/assignee/{assigneeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "createdAt": {
    "date": 123,
    "day": 123,
    "hours": 123,
    "minutes": 123,
    "month": 123,
    "nanos": 123,
    "seconds": 123,
    "time": 123,
    "timezoneOffset": 123,
    "year": 123
  },
  "createdBy": {
    "email": "<string>",
    "firstName": "<string>",
    "fullName": "<string>",
    "id": 123,
    "lastName": "<string>"
  },
  "id": 123,
  "main": true,
  "updatedAt": {
    "date": 123,
    "day": 123,
    "hours": 123,
    "minutes": 123,
    "month": 123,
    "nanos": 123,
    "seconds": 123,
    "time": 123,
    "timezoneOffset": 123,
    "year": 123
  },
  "updatedBy": {
    "email": "<string>",
    "firstName": "<string>",
    "fullName": "<string>",
    "id": 123,
    "lastName": "<string>"
  },
  "userId": 123
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

assigneeId
integer<int64>
required

assigneeId

customerId
integer<int64>
required

customerId

Body

application/json

customerAssignee

customerId
integer<int64>
main
boolean
userId
integer<int64>

Response

OK

createdAt
TimestampRes · object
createdBy
UserInfo · object
id
integer<int64>
main
boolean
updatedAt
TimestampRes · object
updatedBy
UserInfo · object
userId
integer<int64>